## grml-shlib 1.02.11ubuntu4

=== Makefile ===
install_ = install
name_ = grml-shlib

etc = ${DESTDIR}/etc/
usr = ${DESTDIR}/usr
usrbin = $(usr)/bin
usrsbin = $(usr)/sbin
usrshare = $(usr)/share/$(name_)
usrdoc = $(usr)/share/doc/$(name_)
man1 = $(usr)/share/man/man1/
man3 = $(usr)/share/man/man3/
man8 = $(usr)/share/man/man8/


%.html : %.txt ;
	asciidoc -b xhtml11 $^

%.gz : %.txt ;
	asciidoc -d manpage -b docbook $^
	xsltproc /usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl `echo $^ |sed -e 's/.txt/.xml/'`
	gzip -f --best `echo $^ |sed -e 's/.txt//'`


all: doc

doc: doc_man doc_html

doc_html: $(name_).3.html
grml-shlib.3.html: $(name_).3.txt

doc_man: $(name_).3.gz TODO.gz
grml-shlib.3.gz: $(name_).3.txt

TODO.gz: TODO
	gzip --best -c $^ >$@


install: all
	$(install_) -d -m 755 $(usrdoc)
	$(install_) -m 644 $(name_).3.html $(usrdoc)
	$(install_) -m 644 TODO.gz $(usrdoc)

	$(install_) -d -m 755 $(man3)
	$(install_) -m 644 $(name_).3.gz $(man3)

	$(install_) -m 755 -d ${DESTDIR}/etc/grml
	$(install_) -m 755 sh-lib ${DESTDIR}/etc/grml

clean:
	rm -rf $(name_).3.html $(name_).3.xml $(name_).3 $(name_).3.gz TODO.gz

## grml-shlib 1.02.11ubuntu2

=== debian/changelog ===
grml-shlib (1.02.11ubuntu2) dapper; urgency=low

  * Added docbook-xsl to build-depends.

 -- Benjamin Montgomery <bmontgom@montynet.org>  Sun, 28 May 2006 19:34:19 -0500

grml-shlib (1.02.11ubuntu1) dapper; urgency=low

  * Build-Depends: asciidoc, xsltproc.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 25 May 2006 10:21:03 +0100

grml-shlib (1.02.11) unstable; urgency=low

  * a few type corrections
  * removed gawk from dependencies

 -- Michael Gebetsroither <michael.geb@gmx.at>  Fri,  7 Apr 2006 01:51:26 +0200

grml-shlib (1.02.10) unstable; urgency=low

  * another service routine related fix (sorry)

 -- Michael Gebetsroither <michael.geb@gmx.at>  Thu, 16 Feb 2006 13:18:43 +0100

grml-shlib (1.02.09) unstable; urgency=low

  * renamed function force-reloadService to forceReloadService

 -- Michael Gebetsroither <michael.geb@gmx.at>  Thu, 16 Feb 2006 12:35:54 +0100

grml-shlib (1.02.08) unstable; urgency=low

  * Workaround the '/etc/grml/sh-lib: line 622: `force-reloadService':
    not valid identifier' problem. Notice to workaround:
    'force-reloadService' has been removed from sh-lib, it requires
    modifications to work with /bin/sh pointing to /bin/bash.
  * Added myself as Uploader to debian/control.

 -- Michael Gebetsroither <michael.geb@gmx.at>  Thu, 16 Feb 2006 02:11:13 +0100

grml-shlib (1.02.07) unstable; urgency=low

  * changed build system
  * added Manpage 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Mon, 26 Dec 2005 21:31:32 +0100

grml-shlib (1.02.06) unstable; urgency=low

  * trim the list of nameservers from netGetNameserers (no ending whitespace)
  * changed relToAbs to use readlink -f
  * reimplemented service routines
  * added fix to service routines
  * added start,stop,restart,reload,force-reload - Service functions
  * tab to space fix
  * added hook to enable debug like DEBUG=1; ./programm
  * added vim style options to sh-lib

 -- Michael Gebetsroither <michael.geb@gmx.at>  Wed, 21 Dec 2005 21:25:03 +0100

grml-shlib (1.02.05) unstable; urgency=low

  * rename

 -- Michael Gebetsroither <michael.geb@gmx.at>  Fri, 11 Nov 2005 19:39:49 +0100

sh-lib (1.02.04) unstable; urgency=low

  * added TODO 
  * added iproute to dependencies (ip)
  * added netGetIfaces()

 -- Michael Gebetsroither <michael.geb@gmx.at>  Tue,  8 Nov 2005 18:10:49 +0100

sh-lib (1.02.03) unstable; urgency=low

  * fixed problems with definition of variables

 -- Michael Gebetsroither <michael.geb@gmx.at>  Sun, 25 Sep 2005 23:12:58 +0200

sh-lib (1.02.02) unstable; urgency=high

  * fixed a few variable definitions (make nearly all local) 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Mon, 15 Aug 2005 01:58:55 +0200

sh-lib (1.02.01) unstable; urgency=low

  * fixed error in findNextFreeLoop()

 -- Michael Gebetsroither <michael.geb@gmx.at>  Fri, 12 Aug 2005 21:03:14 +0200

sh-lib (1.02.00) unstable; urgency=low

  * added findNextFreeLoop() to search the next free loop device

 -- Michael Gebetsroither <michael.geb@gmx.at>  Tue,  9 Aug 2005 16:23:30 +0200

sh-lib (1.01.00) unstable; urgency=low

  * new upstream :D

 -- Michael Gebetsroither <michael.geb@gmx.at>  Tue,  9 Aug 2005 15:54:39 +0200

sh-lib (1.00-7) unstable; urgency=low

  * fixed checkRoot()
  * fixed message -> message_ in isExistent(), isNotExistent(), checkUser(),
    checkId() 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Sun,  8 May 2005 16:20:21 +0200

sh-lib (1.00-6) unstable; urgency=low

  * fixed a small typo 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Sun, 10 Apr 2005 13:36:49 +0200

sh-lib (1.00-5) unstable; urgency=low

  * get the right depencencies into the .deb 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Wed,  6 Apr 2005 02:33:35 +0200

sh-lib (1.00-4) unstable; urgency=low

  * Fixed a few small typos 

 -- Michael Gebetsroither <michael.geb@gmx.at>  Sat, 19 Feb 2005 00:45:44 +0100

sh-lib (1.00-3) unstable; urgency=low

  * removed _checkExecutables() in INIT because it's braindamage

 -- Michael Gebetsroither <michael.geb@gmx.at>  Wed, 16 Feb 2005 01:00:47 +0100

sh-lib (1.00-2) unstable; urgency=low

  * WARN: fixed typo, runsFromCD() => runsFromCd()
  * fixed a small typo in checkID for error reporting
  * fixed problem in sh-lib init functions for $PROG_NAME__
  * lib intern logging function is now _syslog()
  * added syslog() (not influenced by $SYSLOG__)
  * added netValidIp() for validating ip addresses
  * added netGetDefaultGateway()
  * added netGetNetmask()
  * added netGetIp()
  * added netGetNameservers()
  * added notice() for program notice messages

 -- Michael Gebetsroither <michael.geb@gmx.at>  Mon, 14 Feb 2005 00:55:39 +0100

sh-lib (1.00-1) unstable; urgency=low

  * Initial Release.

 -- Michael Gebetsroither <michael.geb@gmx.at>  Sun, 13 Feb 2005 17:57:20 +0100

=== debian/control ===
Source: grml-shlib
Section: grml
Priority: optional
Maintainer: Michael Gebetsroither <gebi@grml.org>
Uploaders: Michael Prokop <mika@grml.org>
Build-Depends: debhelper (>= 4.0.0), asciidoc, xsltproc, docbook-xsl
Standards-Version: 3.6.2

Package: grml-shlib
Architecture: all
Depends: ${misc:Depends}, procps, net-tools, iproute
Conflicts: sh-lib
Replaces: sh-lib
Description: Generic shell library used in grml scripts
 The grml-shlib is developed on zsh, only partially tested on bash.

## grml-shlib 1.02.11ubuntu3

=== debian/changelog ===
grml-shlib (1.02.11ubuntu3) feisty; urgency=low

  * Fix sh-lib to be executable also by dash (LP: #72601). 

 -- Michael Bienia <geser@ubuntu.com>  Tue, 13 Feb 2007 20:19:59 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/sh-lib.sgml > sh-lib.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/sh-lib.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/grml-shlib


# Build architecture-independent files here.
binary-indep: build install binary-arch
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
#	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
#	dh_installdeb
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## grml-shlib 1.02.11ubuntu4

=== debian/changelog ===
grml-shlib (1.02.11ubuntu4) oneiric; urgency=low

  * Fix package section (this prevented uploads), set to libs.
  * Use debhelper 7 with rules.tiny.
  * Add a doc-base control file.
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <barygin@gmail.com>  Sun, 28 Aug 2011 15:48:39 +0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: grml-shlib
-Section: grml
+Section: libs
 Priority: optional
-Maintainer: Michael Gebetsroither <gebi@grml.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Michael Gebetsroither <gebi@grml.org>
 Uploaders: Michael Prokop <mika@grml.org>
-Build-Depends: debhelper (>= 4.0.0), asciidoc, xsltproc, docbook-xsl
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 7), asciidoc, xsltproc, docbook-xsl
+Standards-Version: 3.9.2
 
 Package: grml-shlib
 Architecture: all
